Sign in

Link person ref (by role)

PUT https://{organization}.myguper.com/api/register/{interface}/person/{role}/{refId}

Links this refId + {role} to an existing person (passed by personId). Idempotent. Returns 404 if the person does not exist in the org. Persons are NOT created via external_ref - they must already exist (use register customer/person endpoints to create).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "personId": 620977
}

Responses

{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"},"_linked":true}
Copied to clipboard